﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Resources;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;

namespace WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {   
        public MainWindow()
        {
            
            InitializeComponent();
            
        }


        private void UIElement_OnMouseEnter(object sender, MouseEventArgs e)
        {
            Series1.StrokeThickness = 5;
            Series1.Interior=new SolidColorBrush(Colors.Red);
            // throw new NotImplementedException();
        }

        private void Series1_OnMouseLeave(object sender, MouseEventArgs e)
        {
            Series1.StrokeThickness =2;
            Series1.Interior = new SolidColorBrush(Colors.Blue);
           // throw new NotImplementedException();
        }
    }

    public class model
    {
        public double ProdId { get; set; }

        public string Prodname { get; set; }

        public double Price { get; set; }

        public double Stock1 { get; set; }
        public double Stock2 { get; set; }
        public double Stock3 { get; set; }
        public double Stock4 { get; set; }
    }
    public class viewmodel
    {
        public viewmodel()
        {
            this.Products = new ObservableCollection<model>();

            Products.Add(new model() { ProdId = 1, Prodname = "Rice", Price = 20, Stock1 = 53 ,Stock2 =33, Stock3 = 60});
            Products.Add(new model() { ProdId = 2, Prodname = "Wheat", Price = 22, Stock1 = 76, Stock2 = 45, Stock3 = 64});
            Products.Add(new model() { ProdId = 3, Prodname = "Oil", Price = 30, Stock1 = 80, Stock2 = 37, Stock3 = 56 });
            Products.Add(new model() { ProdId = 4, Prodname = "Corn", Price = 26, Stock1 = 50, Stock2 = 39, Stock3 =61 });
            Products.Add(new model() { ProdId = 5, Prodname = "Gram", Price = 36, Stock1 = 68, Stock2 = 41, Stock3 = 66 });
            Products.Add(new model() { ProdId = 6, Prodname = "Milk", Price = 20, Stock1 = 90, Stock2 = 34, Stock3 = 67 });
            Products.Add(new model() { ProdId = 7, Prodname = "Butter", Price = 40, Stock1 = 73, Stock2 = 49, Stock3 = 68 });
        }

        public ObservableCollection<model> Products { get; set; }



    }
}
